# Interface methods for submodule: HessianToObjectnessMeasureImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HessianToObjectnessMeasureImageFilter
class HessianToObjectnessMeasureImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetAlpha(self, _arg: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetBeta(self, _arg: float) -> None:
		""""""
		...

	def GetBeta(self) -> float:
		""""""
		...

	def SetGamma(self, _arg: float) -> None:
		""""""
		...

	def GetGamma(self) -> float:
		""""""
		...

	def SetScaleObjectnessMeasure(self, _arg: bool) -> None:
		""""""
		...

	def GetScaleObjectnessMeasure(self) -> bool:
		""""""
		...

	def ScaleObjectnessMeasureOn(self) -> None:
		""""""
		...

	def ScaleObjectnessMeasureOff(self) -> None:
		""""""
		...

	def SetObjectDimension(self, _arg: int) -> None:
		""""""
		...

	def GetObjectDimension(self) -> int:
		""""""
		...

	def SetBrightObject(self, _arg: bool) -> None:
		""""""
		...

	def GetBrightObject(self) -> bool:
		""""""
		...

	def BrightObjectOn(self) -> None:
		""""""
		...

	def BrightObjectOff(self) -> None:
		""""""
		...

